#!/usr/bin/env bash

# abort the script on any error:
set -e

# echo the commands:
# set -x

APPNAME="PTGui"
VIEWERNAME="PTGui Viewer"

if [ "$EUID" -eq 0 ]
then
  INSTALLDIR=/opt/ptgui
  MODE="system"
  FORTXT="for all users"
  MIMEDIR=/usr/share/mime/packages
  APPDIR=/usr/share/applications
else
  INSTALLDIR=$HOME/.local/share/ptgui
  MODE="user"
  FORTXT="for the current user"
  MIMEDIR=$HOME/.local/share/mime/packages
  APPDIR=$HOME/.local/share/applications
fi

echo "This will delete the directory ${INSTALLDIR}/"
echo "File types will be unregistered and ${APPNAME} will be removed from the desktop."
echo ""
read -p "Press Enter to continue, Ctrl+C to abort:"

xdg-mime uninstall --mode ${MODE} ${MIMEDIR}/newhouse-ptguimimetypes.xml

xdg-desktop-menu uninstall --mode ${MODE} ${APPDIR}/newhouse-ptgui.desktop

xdg-desktop-menu install --mode ${MODE} ${APPDIR}/newhouse-ptguiviewer.desktop

xdg-icon-resource uninstall --mode ${MODE} --context mimetypes --size 256 application-x-ptguiproject

xdg-icon-resource uninstall --mode ${MODE} --context mimetypes --size 256 application-x-ptguibatchlist

rm -rf "${INSTALLDIR}"

echo "${APPNAME} was removed succesfully!"

